Could not find an Opus module! Please install node-opus or opusscript

Issue:

I have installed opusscript, but still it shows Could not find an Opus module! Please install node-opus or opusscript . I am using this on a discord bot. First it works fine. No error is there, then after sometime, this error starts arising even though opusscript is installed. Then when i restart the bot, it starts working again. Then after sometime the same thing happens again.

I asked for help in the discord.js and prism media repository, and they said it is an npm issue.

Further details:

  • Operating System: Linux
  • Node.js version: 10.x

Are you running npm commands between when it is working and when it stops working? (Readers on this forum are not likely to be familiar with opusscript or a discord bot and need some context to understand why npm might be implicated in the issue.)

Would you please add links to your other posts, which might have some more info?

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.